namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "stomping_tantrum")]
public class StompingTantrum : Script, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower)
    {
        var lastMoveChoice = move.User.BattleData?.LastMoveChoice;
        if (lastMoveChoice is { HasFailed: true })
        {
            basePower = basePower.MultiplyOrMax(2);
        }
    }
}